Bug 100885 - Low Memory Warning After Disk Partitioning
Low Memory Warning After Disk Partitioning
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 12:26 EDT by Bob Cochran
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log from /tmp (5.80 KB, text/plain)
2003-07-31 16:22 EDT, Bob Cochran
no flags Details
X.log per your request (1.60 KB, text/plain)
2003-07-31 16:24 EDT, Bob Cochran
no flags Details
iutil.py file with debugging information (14.88 KB, text/plain)
2003-08-06 16:22 EDT, Michael Fulbright
no flags Details
as requested, but a 'low memory' warning did not occur. (7.44 KB, text/plain)
2003-08-06 22:47 EDT, Bob Cochran
no flags Details

  None (edit)
Description Bob Cochran 2003-07-26 12:26:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
If one installs Severn on a Dell XPS T550 system with 2 hard drives, 512 Mb of
installed memory, a low memory warning appears immediately after partitioning
hard drive /dev/hdb (which I chose to install on).Memory warning seems to be
bogus. I am warned that memory is low and swap needs to be activated
immediately. I'm asked to agree to this. If I click 'yes' or OK, installation
proceeds normally.

I also notice that even though I selected /dev/hdb as the only allowable drive
for partitioning, the autopartition feature wants to format the swap partition
on /dev/hda. I've never noticed that before.

When I got the low memory warning, I switched to virtual terminal 2 and issued
'cat /proc/meminfo'. Results:

       total        used          free
mem 527585280    143790080     283795200 

Memtotal: 515220 kb
Memfree: 374800 kb
SwapTotal: 0
SwapFree: 0

I've been able to reproduce this issue in each of 2 installs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert CD#1 in CD drive, boot to CD
2. Linux askmethod, then select NFS image as installation method
3. Fresh installation, select Workstation install.
4. My system has 2 hard drives, hda and hdb. Install to hdb.
5. Select autopartition, and check the box for reviewing.
6. Edit the default /boot partition to increase the size from 100 Mb to 400 Mb.
7. Click Next button.
8. Low memory warning window appears at this point.
    

Actual Results:  I was issued a low memory warning. Installation proceeded normally.

Expected Results:  The low memory warning should not have appeared. This system
has 512 Mb.

Additional info:
Comment 1 Jeremy Katz 2003-07-26 23:18:20 EDT
Can you switch to tty2 and look at the contents of /proc/meminfo to make sure
all of your memory is being recognized?
Comment 2 Bob Cochran 2003-07-28 21:27:21 EDT
By 'switch to tty2' I assume you mean press CTRL-ALT-F2. I did that and ran 'cat
/proc/meminfo' and I do believe all my memory is being recognized. This example
is taken from a terminal window, not tty2, because I know I can copy and paste
the large amount of text:

        total:    used:    free:  shared: buffers:  cached:
Mem:  526966784 155541504 371425280        0 10600448 77877248
Swap: 2146746368        0 2146746368
MemTotal:       514616 kB
MemFree:        362720 kB
MemShared:           0 kB
Buffers:         10352 kB
Cached:          76052 kB
SwapCached:          0 kB
Active:          39980 kB
Inactive:        94752 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       514616 kB
LowFree:        362720 kB
SwapTotal:     2096432 kB
SwapFree:      2096432 kB
[cochranb@bobc cochranb]$

The values on tty2 are similar except they show more memory free. I'll try to
add those in another comment.

 
Comment 3 Bob Cochran 2003-07-28 21:33:10 EDT
Well, the values on tty2 did show more memory free; they show less now, I
presume because I have Mozilla running. Here we are:

        total:    used:    free:  shared: buffers:  cached:
Mem:  526966784 221741056 305225728        0 12156928 123277312
Swap: 2146746368        0 2146746368
MemTotal:       514616 kB
MemFree:        298072 kB
MemShared:           0 kB
Buffers:         11872 kB
Cached:         120388 kB
SwapCached:          0 kB
Active:          44168 kB
Inactive:       153136 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       514616 kB
LowFree:        298072 kB
SwapTotal:     2096432 kB
SwapFree:      2096432 kB
[cochranb@bobc cochranb]$

Comment 4 Michael Fulbright 2003-07-30 14:22:10 EDT
Please try an install again and at the point the low memory screen appears, look
at /proc/meminfo. Also look in /tmp and /tmp/ramfs and see (with the ls -l
command) if there are any really HUGE files.
Comment 5 Bob Cochran 2003-07-30 23:37:35 EDT
Okay, I'll do this the night of July 31. I had to make a new CD #1 and things
got a bit confused tonight. 
Comment 6 Bob Cochran 2003-07-31 14:05:24 EDT
I went through the install procedure again as requested. I'm going to present
more exactly what I did, in addition to supplying you the information you requested.

At the screen which searches for Red Hat Linux installations, I selected
"Install Red Hat Linux" rather than an upgrade.

Selected Workstation installation type.

Selected Automatically partition. 

Selected "Remove all partitions on this system", and checked "hdb 24403 MB
IBM-DJNA-352500" as the only allowable drive. Selected the "Review" button to
review the partitioning scheme.

Clicked "yes" to the warning box that asked if I want to remove all data on
/dev/hdb.

At this point I could see the partitions on my system. I noticed that /dev/hda7
the swap partition was selected for formatting. (But I don't want the hda drive
touched. Nevertheless, I left the checkmark for formatting in place.)

Edited /dev/hdb1 mounted on /boot from 102 Mb in size to 400.

Clicked next and this window popped up:

"As you don't have much memory in this machine, we need to turn on swap space
immediately. To do this we'll have to write your partition table to the disk
immediately. Is that OK?"

At this point I switched to tty2 and ran 'cat /proc/meminfo' as requested above.
It recognizes all my memory, but notice it doesn't recognize any swap space:

         total        used       free
Mem:  527585280  144052224   383533056

MemTotal 515220
MemFree 374544
Memshared 0
Buffers 16044
Cached 83272
SwapCached 0
Active 23524
Inactive 99428
HighTotal 0
HighFree 0
LowTotal 515220
LowFree 374544
SwapTotal 0
SwapFree 0

You requested that I look in /tmp and /tmp/ramfs with the ls -l command if there
are any really huge files present. I did this, there are no huge files. There
are files present but  they all seem normally sized (< 100,000 bytes which I
can't call huge.)
 
Hope this helps.

Bob Cochran
Comment 7 Michael Fulbright 2003-07-31 15:08:21 EDT
Thanks for trying that. Here is something else you can try if you have time.

At the point where you get the out of memory warning, got VC2 and try this
(you'll need a floppy handy).  All data on the floppy will be erased.

On VC2 type:

  mformat a:
  mcopy /tmp/*.log a:

Then append all the log files it copied to the floppy to this bug report as
separate attachments.  That will give us alot more information.
Comment 8 Bob Cochran 2003-07-31 16:22:45 EDT
Created attachment 93303 [details]
anaconda.log from /tmp

Per your request
Comment 9 Bob Cochran 2003-07-31 16:24:13 EDT
Created attachment 93304 [details]
X.log per your request

Per your request. There were 2 total files copied to the diskette, and 2 total
files attached in response to this request.
Comment 10 Michael Fulbright 2003-08-05 17:02:30 EDT
Thanks for those files. Here is something else you may try:

1) Get to the point you've received the low memory warning
2) Goto VC2
3) Enter:
     PYTHONPATH=/usr/lib/anaconda python
     import iutil
     print iutil.memAvailable()

That will print out a number, which should be the number of KB of RAM available.
Comment 11 Bob Cochran 2003-08-05 22:27:10 EDT
I'll show my output after I typed 
PYTHONPATH=/usr/lib/anaconda python.

Python 2.2.3 (#1, Jun 10 2003, 16:41:13)
[GCC 3.3 20030604 (Red Hat Linux 3.3-5)] on linux2
Type "help", "copyright", "credits", or "license" for more information.
>>> import iutil
>>> print iutil.memAvailable()
-157780
>>>
(At this point I pressed CTRL-D to exit.)
Hope this helped.

Comment 12 Michael Fulbright 2003-08-06 16:21:46 EDT
Yeah that helped - it thinks you have a negative amount of memory...

I appreciate your help debugging this.  If you don't mind, I'm adding an
attachment to this bug.  Please put this file on a floppy (DOS formatted).

When you boot the installer use 'linux updates'.
Insert the floppy when asked for the updates floppy.
After you get the 'Low Memory' warning, mcopy the /tmp/anaconda.log file onto a
floppy and append to this bug.
Comment 13 Michael Fulbright 2003-08-06 16:22:45 EDT
Created attachment 93457 [details]
iutil.py file with debugging information
Comment 14 Bob Cochran 2003-08-06 22:44:21 EDT
This got a bit confusing for me. I followed your directions, formatting a floppy
disk under Windows XP (as a FAT filesystem) and copying iutil.py to it. When
prompted for an updates disk, I put it in the drive and got this message:

Error: failed to mount updates disk

Then I decided to format the disk using gfloppy. It formatted fine but
afterwards I got this frustrating 'only root can do that' message when
attempting to mount /dev/fd0. Switching to root, I couldn't mount the floppy
either: it complained about a bad superblock...etc. So, while still root I
finally formatted the floppy as ext3 using /sbin/mkfs.ext3. I can mount the disk
as an ordinary user but then could not write iutil.py to it. I wrote the file as
root.

This time, anaconda was able to read the updates disk.

Also this time, a 'low memory' warning did NOT appear. I have been doing this
installation as an NFS image installation using 'linux askmethod', remember.
When I use 'linux updates' I guess it assumes a CD installation after it reads
the updates disk.

Even though the low memory warning did not appear this time, I've taken the
liberty of switching to tty2 at the point where the warning used to appear
(right after clicking 'next' on the autopartition review window) and mcopy-ing
/tmp/anaconda.log to a floppy disk. The file is appended below.

I hope this helps. Let me know the next step.
Comment 15 Bob Cochran 2003-08-06 22:47:03 EDT
Created attachment 93472 [details]
as requested, but a 'low memory' warning did not occur.
Comment 16 Bob Cochran 2003-08-07 00:03:00 EDT
After complaining about formatting floppies I did a long exercise in just that,
formatting them, and learned to use fdformat and mkfs.ext2 as an ordinary user.
I feel more confident working with removable devices (something I don't often
do.) Thanks, I'm learning some very basic things that I've needed to for a long
time.



Comment 17 Michael Fulbright 2003-08-11 15:47:19 EDT
This is odd. So the 'low memory' error occurs reliably if you don't use the
update floppy I made?
Comment 18 Bob Cochran 2003-08-11 23:21:38 EDT
My impression is that the low memory warning occurs reliably if I install from
an NFS image, but let me play with your updates disk and the other installation
types this week and try to learn more. 

Bob Cochran
 
Comment 19 Michael Fulbright 2003-08-14 12:37:55 EDT
Very strange - looking forward to your findings...
Comment 20 Bob Cochran 2003-08-14 20:43:36 EDT
Correct me if I'm wrong....but if I use your updates disk, I won't be able to
install over NFS, right?
Comment 21 Michael Fulbright 2003-08-15 11:27:59 EDT
It will work fine - the update disk is just a disk of replacement Python sources
that get copied to /tmp/updates.

Alternatively you can put the contents of the updates disk in the directory

i386/RHupdates

on your NFS server and they will be used. Then you don't need to use an updates
floppy, and you dont need to put 'updates' on the boot command line. You'll have
to make the RHupdates directory by hand, it doesn't exist in the default tree.
Comment 22 Jeremy Katz 2003-10-15 21:03:48 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.